Bug 26234 - find-requires should not include ld.so.preload contents
Summary: find-requires should not include ld.so.preload contents
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm-build   
(Show other bugs)
Version: 7.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-02-05 22:26 UTC by redhat-bugs
Modified: 2007-04-18 16:31 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-21 18:17:27 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description redhat-bugs 2001-02-05 22:26:57 UTC
Hello.

(See bug 8250)

I disagree that this is an issue with the build environment.  I think a
build machine SHOULD be able to have a preload list without it affecting
the resulting RPM.  There is a discussion on the rpm-list regarding this
and the message at
http://www.redhat.com/mailing-lists/rpm-list/msg01941.html provides a very
elegant solution.  It uses objdump instead of ldd to obtain the requires
list.

Why not use this solution?

Comment 1 Jeff Johnson 2001-02-21 18:17:21 UTC
Changing component.

Comment 2 Jeff Johnson 2001-05-24 13:32:32 UTC
There are two problems that I can see with using objdump -p rather than ldd:

1) objdump -p output does not include
	/lib/ld-linux.so.2 => /lib/ld-linux.so.2 (0x40000000)

2) objdump -p may not work with a.out executables.

Yes, there are possible workarounds for both problems. I still don't
believe that rpm defaults can possibly Get It Right for all build
systems, and so it's not worth attempting.

If you really want to eliminate LD_PRELOAD dependencies, then write your
own find-requires and filter out the unwanted dependencies:
	#!/bin/sh
	/usr/lib/rpm/find-requires | sed -e 's/whatever//'
and configure your build system by doing (assuming above script is
in /etc/rpm/my-find-requires):
	echo "%_find_requires /etc/rpm/my-find-requires"

A per-package configuration is also possible.

'Tain't hard ...


Note You need to log in before you can comment on or make changes to this bug.